Re: [net-next PATCH 02/02] net/ipv4: VTI support new module for ip_vti.

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

On Thu, Jun 14, 2012 at 07:43:59PM -0700, Saurabh Mohan wrote:
> > +
> > +	iph->version		= 4;
> > +	iph->protocol		= IPPROTO_ESP;
> 
> Why IPPROTO_ESP? What's with the other IPsec protocols?
> Shouldn't this be IPPROTO_IPIP?
> 
> @SM: VTI will work only with ESP not with AH (at least I have never heard of any one using it with AH). Plus I wanted to keep this module separate from IPIP (ip-in-ip tunnels).
> 

VTI should be independent of the IPsec protocol.
Our IPsec implementation supports AH (and IPCOMP)
so VTI should support these protocols too.

--
To unsubscribe from this list: send the line "unsubscribe netdev" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html


[Linux Kernel Discussion]     [Ethernet Bridging]     [Linux Wireless Networking]     [Linux Bluetooth Networking]     [Linux Networking Users]     [VLAN]     [Git]     [IETF Annouce]     [Linux Assembly]     [Security]     [Bugtraq]     [Photo]     [Singles Social Networking]     [Yosemite Information]     [MIPS Linux]     [ARM Linux Kernel]     [ARM Linux]     [Linux Virtualization]     [Linux Security]     [Linux IDE]     [Linux RAID]     [Linux SCSI]     [Free Dating]

Add to Google Powered by Linux